
WHOCALLED						User's Manual					WHOCALLED
						Last revision date: June 10, 1995

NAME
	who - display last callers list

SYNOPSIS
	who	[-atb1df] [-s<d|o|m|c>] [-l<num>]

DESCRIPTION
	Who Called displays Last Callers List. It can display one, two or
	three line statistics, save the screen to ANSI file, sort the
	listing using four different criteria, display configurable number
	of records, etc.

	Callers are not listed more than once. Instead, statistics about
	the last day of their login is accumulated and displayed.

	The default setting is: list last 7 callers in 3-line mode and do
	not create the ANSI file.

OPTIONS
	The options can be either lowercase or uppercase and can be
	preceded either by the minus sign '-' or a slash '/'. All options
	that don't take additional arguments can be grouped after one
	switch and the last option in the group can take a parameter.

	-f
		saves the list to a file called WHOCALLS.ANS in your textfiles
		directory.

	-d
		switch to two-line mode of display (does not show totals)

	-l<num>
		Specify number of records to output (instead of the defaults,
		which are 10 for the 2-line mode and 7 for the 3-line)

	-a
		use alias instead of name

	-s[d|o|m|c]
		sort by diferent criteria (default: use BINLOG order)
			d : last date of login
			o : minutes on last login day
			m : total minutes all calls
			c : total calls

	-t
		show only today's callers (defaults to any day until the
		requested number is filled)

	-1
		display special one line statistics (forces the -d option)

	-b
		write both to screen and file

FILES
	who.pex the ProBoard internal executable
	who.exe a normal DOS executable for offline usage

DIAGNOSTICS
	Unable to locate environment PROBOARD
		Your PROBOARD environment variable should be set to point to
		the system directory (EXE only).

	Unable to load config file from 'name'
		Your configuration file could not be found. Check the 'name'
		for the path the program is looking at (EXE only).

	Unable to allocate memory for the list
		Low memory condition. This should not occur.

	Error building the linked list
		General error builing the linked list. This erro message will
		be poreceded by one of the following.

	Unable to open the file 'name'
		Check the 'name'. The program is trying to open the BINLOG.PB.

	Unable to retrieve the user record
		Lots of things can go wrong here. Check your userbase.

	Unable to allocate memory for list node.
		Too bad. There's nothing we can do. Free more memory or requested
		a lower number with the -l switch.

	Unable to create file 'name'
		This is the output file WHOCALLS.ANS. Check the 'name' to see
		where the program is trying to create it.

IDENTIFICATION
	Author: Branislav L. Slantchev
	Revision Number: 1.23
	Release Date: June 10, 1995
	Copyright (C) 1995 by Branislav L. Slantchev

LEGAL
	All source code for the PBLib library is copyright (C) 1995 by
	Branislav L. Slantchev

	WHOCALLED (all executables, source and documentation files)
	are Copyright (C) 1995 by Branislav L. Slantchev.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

	If you find this program useful, drop me a post card at the mail
	address (see file SUPPORT). I will really appreciate that.
